Subject: Re: [PATCH] powerpc/83xx: add support for mpc8306

From: Filip Brozović <[email-masked]>
Date: Tue, 31 Mar 2015 21:58:54 +0200

On 3/31/2015 7:54 PM, Scott Wood wrote:
> This breaks multiplatform support.  You need to determine this at
> runtime.

Understood, but I'm unsure of how to do this exactly. Would it be 
appropriate to define another array, snum_init_14, with the SNUM values 
for the MPC8306 QE, change the minimum number of SNUMs in 
qe_get_num_of_snums() to 14 and set the correct values this way? In that 
case, compatibility with other platforms would be kept intact, and the 
QE device tree node for MPC8306 (and MPC8309) boards would just have to 
have the fsl,qe-num-snums property set to 14 in order for the driver to 
set the correct values.